Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class StringLabeledScoredTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.StringLabeledScoredTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

    public class StringLabeledScoredTreeReaderFactory

extends Object
implements TreeReaderFactory

This class implements a `TreeReaderFactory` that produces labeled, scored array-based Trees, which have been cleaned up to delete empties, etc. This seems to be a common case.

Author:
  Christopher Manning

Constructor Summary
`StringLabeledScoredTreeReaderFactory()`

Method Summary
`TreeReader` | `newTreeReader(Reader in)` An implementation of the `TreeReaderFactory` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLabeledScoredTreeReaderFactory

    public StringLabeledScoredTreeReaderFactory()

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  An implementation of the `TreeReaderFactory` interface. It creates a simple `TreeReader` which literally reproduces trees in the treebank as `LabeledScoredTree` objects, with `StringLabel` labels.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group